| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Variables
listctrl.h File Reference

## Classes
class | wxListCtrl
| A list control presents lists in a number of formats: list view, report view, icon view and small icon view. More...
class | wxListEvent
| A list event holds information about events associated with wxListCtrl objects. More...
class | wxListItemAttr
| Represents the attributes (color, font, ...) of a wxListCtrl's wxListItem. More...
class | wxListView
| This class currently simply presents a simpler to use interface for the wxListCtrl – it can be thought of as a façade for that complicated class. More...
class | wxListItem
| This class stores information about a wxListCtrl item or column. More...

## Macros
#define | wxLC_VRULES 0x0001
| style flags
#define | wxLC_HRULES 0x0002
#define | wxLC_ICON 0x0004
#define | wxLC_SMALL_ICON 0x0008
#define | wxLC_LIST 0x0010
#define | wxLC_REPORT 0x0020
#define | wxLC_ALIGN_TOP 0x0040
#define | wxLC_ALIGN_LEFT 0x0080
#define | wxLC_AUTOARRANGE 0x0100
#define | wxLC_VIRTUAL 0x0200
#define | wxLC_EDIT_LABELS 0x0400
#define | wxLC_NO_HEADER 0x0800
#define | wxLC_NO_SORT_HEADER 0x1000
#define | wxLC_SINGLE_SEL 0x2000
#define | wxLC_SORT_ASCENDING 0x4000
#define | wxLC_SORT_DESCENDING 0x8000
#define | wxLC_MASK_TYPE (wxLC_ICON | wxLC_SMALL_ICON | wxLC_LIST | wxLC_REPORT)
#define | wxLC_MASK_ALIGN (wxLC_ALIGN_TOP | wxLC_ALIGN_LEFT)
#define | wxLC_MASK_SORT (wxLC_SORT_ASCENDING | wxLC_SORT_DESCENDING)
#define | wxLIST_MASK_STATE 0x0001
| Mask flags to tell app/GUI what fields of wxListItem are valid.
#define | wxLIST_MASK_TEXT 0x0002
#define | wxLIST_MASK_IMAGE 0x0004
#define | wxLIST_MASK_DATA 0x0008
#define | wxLIST_SET_ITEM 0x0010
#define | wxLIST_MASK_WIDTH 0x0020
#define | wxLIST_MASK_FORMAT 0x0040
#define | wxLIST_STATE_DONTCARE 0x0000
| State flags for indicating the state of an item.
#define | wxLIST_STATE_DROPHILITED 0x0001
#define | wxLIST_STATE_FOCUSED 0x0002
#define | wxLIST_STATE_SELECTED 0x0004
#define | wxLIST_STATE_CUT 0x0008
#define | wxLIST_STATE_DISABLED 0x0010
#define | wxLIST_STATE_FILTERED 0x0020
#define | wxLIST_STATE_INUSE 0x0040
#define | wxLIST_STATE_PICKED 0x0080
#define | wxLIST_STATE_SOURCE 0x0100
#define | wxLIST_HITTEST_ABOVE 0x0001
| Hit test flags, used in HitTest.
#define | wxLIST_HITTEST_BELOW 0x0002
#define | wxLIST_HITTEST_NOWHERE 0x0004
#define | wxLIST_HITTEST_ONITEMICON 0x0020
#define | wxLIST_HITTEST_ONITEMLABEL 0x0080
#define | wxLIST_HITTEST_ONITEMRIGHT 0x0100
#define | wxLIST_HITTEST_ONITEMSTATEICON 0x0200
#define | wxLIST_HITTEST_TOLEFT 0x0400
#define | wxLIST_HITTEST_TORIGHT 0x0800
#define | wxLIST_HITTEST_ONITEM (wxLIST_HITTEST_ONITEMICON | wxLIST_HITTEST_ONITEMLABEL | wxLIST_HITTEST_ONITEMSTATEICON)
#define | wxLIST_GETSUBITEMRECT_WHOLEITEM -1l
| GetSubItemRect constants.

## Enumerations
enum | { wxLIST_NEXT_ABOVE, wxLIST_NEXT_ALL, wxLIST_NEXT_BELOW, wxLIST_NEXT_LEFT, wxLIST_NEXT_RIGHT }
| Flags for GetNextItem (MSW only except wxLIST_NEXT_ALL) More...
enum | { wxLIST_ALIGN_DEFAULT, wxLIST_ALIGN_LEFT, wxLIST_ALIGN_TOP, wxLIST_ALIGN_SNAP_TO_GRID }
| Alignment flags for Arrange (MSW only except wxLIST_ALIGN_LEFT) More...
enum | wxListColumnFormat { wxLIST_FORMAT_LEFT, wxLIST_FORMAT_RIGHT, wxLIST_FORMAT_CENTRE, wxLIST_FORMAT_CENTER = wxLIST_FORMAT_CENTRE }
| Column format (MSW only except wxLIST_FORMAT_LEFT) More...
enum | { wxLIST_AUTOSIZE = -1, wxLIST_AUTOSIZE_USEHEADER = -2 }
| Autosize values for SetColumnWidth. More...
enum | { wxLIST_RECT_BOUNDS, wxLIST_RECT_ICON, wxLIST_RECT_LABEL }
| Flag values for GetItemRect. More...
enum | { wxLIST_FIND_UP, wxLIST_FIND_DOWN, wxLIST_FIND_LEFT, wxLIST_FIND_RIGHT }
| Flag values for FindItem (MSW only) More...

## Variables
wxEventType | wxEVT_LIST_BEGIN_DRAG
wxEventType | wxEVT_LIST_BEGIN_RDRAG
wxEventType | wxEVT_LIST_BEGIN_LABEL_EDIT
wxEventType | wxEVT_LIST_END_LABEL_EDIT
wxEventType | wxEVT_LIST_DELETE_ITEM
wxEventType | wxEVT_LIST_DELETE_ALL_ITEMS
wxEventType | wxEVT_LIST_ITEM_SELECTED
wxEventType | wxEVT_LIST_ITEM_DESELECTED
wxEventType | wxEVT_LIST_KEY_DOWN
wxEventType | wxEVT_LIST_INSERT_ITEM
wxEventType | wxEVT_LIST_COL_CLICK
wxEventType | wxEVT_LIST_ITEM_RIGHT_CLICK
wxEventType | wxEVT_LIST_ITEM_MIDDLE_CLICK
wxEventType | wxEVT_LIST_ITEM_ACTIVATED
wxEventType | wxEVT_LIST_CACHE_HINT
wxEventType | wxEVT_LIST_COL_RIGHT_CLICK
wxEventType | wxEVT_LIST_COL_BEGIN_DRAG
wxEventType | wxEVT_LIST_COL_DRAGGING
wxEventType | wxEVT_LIST_COL_END_DRAG
wxEventType | wxEVT_LIST_ITEM_FOCUSED

## Macro Definition Documentation

#define wxLC_ALIGN_LEFT 0x0080

#define wxLC_ALIGN_TOP 0x0040

#define wxLC_AUTOARRANGE 0x0100

#define wxLC_EDIT_LABELS 0x0400

#define wxLC_HRULES 0x0002

#define wxLC_ICON 0x0004

#define wxLC_LIST 0x0010

#define wxLC_MASK_ALIGN (wxLC_ALIGN_TOP | wxLC_ALIGN_LEFT)

#define wxLC_MASK_SORT (wxLC_SORT_ASCENDING | wxLC_SORT_DESCENDING)

#define wxLC_MASK_TYPE (wxLC_ICON | wxLC_SMALL_ICON | wxLC_LIST | wxLC_REPORT)

#define wxLC_NO_HEADER 0x0800

#define wxLC_NO_SORT_HEADER 0x1000

#define wxLC_REPORT 0x0020

#define wxLC_SINGLE_SEL 0x2000

#define wxLC_SMALL_ICON 0x0008

#define wxLC_SORT_ASCENDING 0x4000

#define wxLC_SORT_DESCENDING 0x8000

#define wxLC_VIRTUAL 0x0200

#define wxLC_VRULES 0x0001

style flags

#define wxLIST_GETSUBITEMRECT_WHOLEITEM -1l

GetSubItemRect constants.

#define wxLIST_HITTEST_ABOVE 0x0001

Hit test flags, used in HitTest.

#define wxLIST_HITTEST_BELOW 0x0002

#define wxLIST_HITTEST_NOWHERE 0x0004

#define wxLIST_HITTEST_ONITEM (wxLIST_HITTEST_ONITEMICON | wxLIST_HITTEST_ONITEMLABEL | wxLIST_HITTEST_ONITEMSTATEICON)

#define wxLIST_HITTEST_ONITEMICON 0x0020

#define wxLIST_HITTEST_ONITEMLABEL 0x0080

#define wxLIST_HITTEST_ONITEMRIGHT 0x0100

#define wxLIST_HITTEST_ONITEMSTATEICON 0x0200

#define wxLIST_HITTEST_TOLEFT 0x0400

#define wxLIST_HITTEST_TORIGHT 0x0800

#define wxLIST_MASK_DATA 0x0008

#define wxLIST_MASK_FORMAT 0x0040

#define wxLIST_MASK_IMAGE 0x0004

#define wxLIST_MASK_STATE 0x0001

Mask flags to tell app/GUI what fields of wxListItem are valid.

#define wxLIST_MASK_TEXT 0x0002

#define wxLIST_MASK_WIDTH 0x0020

#define wxLIST_SET_ITEM 0x0010

#define wxLIST_STATE_CUT 0x0008

#define wxLIST_STATE_DISABLED 0x0010

#define wxLIST_STATE_DONTCARE 0x0000

State flags for indicating the state of an item.

#define wxLIST_STATE_DROPHILITED 0x0001

#define wxLIST_STATE_FILTERED 0x0020

#define wxLIST_STATE_FOCUSED 0x0002

#define wxLIST_STATE_INUSE 0x0040

#define wxLIST_STATE_PICKED 0x0080

#define wxLIST_STATE_SELECTED 0x0004

#define wxLIST_STATE_SOURCE 0x0100

## Enumeration Type Documentation

anonymous enum

Flags for GetNextItem (MSW only except wxLIST_NEXT_ALL)

Enumerator:

  wxLIST_NEXT_ABOVE |
  wxLIST_NEXT_ALL |
  wxLIST_NEXT_BELOW |
  wxLIST_NEXT_LEFT |
  wxLIST_NEXT_RIGHT |

anonymous enum

Alignment flags for Arrange (MSW only except wxLIST_ALIGN_LEFT)

Enumerator:

  wxLIST_ALIGN_DEFAULT |
  wxLIST_ALIGN_LEFT |
  wxLIST_ALIGN_TOP |
  wxLIST_ALIGN_SNAP_TO_GRID |

anonymous enum

Autosize values for SetColumnWidth.

Enumerator:

  wxLIST_AUTOSIZE |
  wxLIST_AUTOSIZE_USEHEADER |

anonymous enum

Flag values for GetItemRect.

Enumerator:

  wxLIST_RECT_BOUNDS |
  wxLIST_RECT_ICON |
  wxLIST_RECT_LABEL |

anonymous enum

Flag values for FindItem (MSW only)

Enumerator:

  wxLIST_FIND_UP |
  wxLIST_FIND_DOWN |
  wxLIST_FIND_LEFT |
  wxLIST_FIND_RIGHT |

enum wxListColumnFormat

Column format (MSW only except wxLIST_FORMAT_LEFT)

Enumerator:

  wxLIST_FORMAT_LEFT |
  wxLIST_FORMAT_RIGHT |
  wxLIST_FORMAT_CENTRE |
  wxLIST_FORMAT_CENTER |

## Variable Documentation

wxEventType wxEVT_LIST_BEGIN_DRAG

wxEventType wxEVT_LIST_BEGIN_LABEL_EDIT

wxEventType wxEVT_LIST_BEGIN_RDRAG

wxEventType wxEVT_LIST_CACHE_HINT

wxEventType wxEVT_LIST_COL_BEGIN_DRAG

wxEventType wxEVT_LIST_COL_CLICK

wxEventType wxEVT_LIST_COL_DRAGGING

wxEventType wxEVT_LIST_COL_END_DRAG

wxEventType wxEVT_LIST_COL_RIGHT_CLICK

wxEventType wxEVT_LIST_DELETE_ALL_ITEMS

wxEventType wxEVT_LIST_DELETE_ITEM

wxEventType wxEVT_LIST_END_LABEL_EDIT

wxEventType wxEVT_LIST_INSERT_ITEM

wxEventType wxEVT_LIST_ITEM_ACTIVATED

wxEventType wxEVT_LIST_ITEM_DESELECTED

wxEventType wxEVT_LIST_ITEM_FOCUSED

wxEventType wxEVT_LIST_ITEM_MIDDLE_CLICK

wxEventType wxEVT_LIST_ITEM_RIGHT_CLICK

wxEventType wxEVT_LIST_ITEM_SELECTED

wxEventType wxEVT_LIST_KEY_DOWN